using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    public class FuelingDataProcessingResult : CardMessageBase
    {
        public FuelingDataProcessingResult() : base(Command.FuelingDataResult)
        {

        }

        [Format(4, EncodingType.BIN, -90)]
        public int PosTtc { get; set; }

        [Format(2, EncodingType.BIN, -89)]
        public ushort SeqNo { get; set; }

        [Format(2, EncodingType.BIN, -88)]
        public ushort FPCode { get; set; }
    }
}
